#include <QApplication>
#include <QGraphicsScene>
#include <QGraphicsView>
#include <QGraphicsWebView>
#include <QGLWidget>
#include <QMainWindow>
#include <QFileInfo>
#include <QDir>
#include <qdebug.h>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QMainWindow *mMainWindow = new QMainWindow();
    mMainWindow->setWindowTitle("CrashApp");
    mMainWindow->showMaximized();

    QGraphicsScene* mGraphicsScene = new QGraphicsScene(mMainWindow);

    QGraphicsView* mGraphicsView = new QGraphicsView(mGraphicsScene);

    mGraphicsView->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    mGraphicsView->setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);

    mGraphicsView->setViewportUpdateMode(QGraphicsView::FullViewportUpdate);
    mGraphicsView->setViewport(new QGLWidget(mMainWindow));

    QGraphicsWebView* mGraphicsWebView = new QGraphicsWebView();

    QFileInfo fileInfo = QFileInfo(QDir::currentPath(), QString("Test.html"));
    QUrl url = QUrl(QUrl::fromLocalFile(fileInfo.absoluteFilePath()));
    mGraphicsWebView->setUrl(url);

    mGraphicsScene->addItem(mGraphicsWebView);

    mMainWindow->setCentralWidget(mGraphicsView);

    mMainWindow->show();

    return app.exec();
}
